# Function pipeline

- pipeline<A, B>(source, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - #### A extends PipelineSource<any>

  - #### B extends WritableStream | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any> | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any>

  #### Parameters

  - ##### source: A

  - ##### destination: B

  - ##### `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

- pipeline<A, T1, B>(source, transform1, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - #### A extends PipelineSource<any>

  - #### T1 extends PipelineTransform<A, any>

  - #### B extends WritableStream | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any> | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### destination: B

  - ##### `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

- pipeline<A, T1, T2, B>(source, transform1, transform2, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - #### A extends PipelineSource<any>

  - #### T1 extends PipelineTransform<A, any>

  - #### T2 extends PipelineTransform<T1, any>

  - #### B extends WritableStream | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any> | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### destination: B

  - ##### `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

- pipeline<A, T1, T2, T3, B>(source, transform1, transform2, transform3, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - #### A extends PipelineSource<any>

  - #### T1 extends PipelineTransform<A, any>

  - #### T2 extends PipelineTransform<T1, any>

  - #### T3 extends PipelineTransform<T2, any>

  - #### B extends WritableStream | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any> | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### transform3: T3

  - ##### destination: B

  - ##### `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

- pipeline<A, T1, T2, T3, T4, B>(source, transform1, transform2, transform3, transform4, destination, options?): PipelinePromise<B>

- #### Type Parameters

  - #### A extends PipelineSource<any>

  - #### T1 extends PipelineTransform<A, any>

  - #### T2 extends PipelineTransform<T1, any>

  - #### T3 extends PipelineTransform<T2, any>

  - #### T4 extends PipelineTransform<T3, any>

  - #### B extends WritableStream | PipelineDestinationIterableFunction<string | Buffer> | PipelineDestinationPromiseFunction<string | Buffer, any> | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### transform3: T3

  - ##### transform4: T4

  - ##### destination: B

  - ##### `Optional` options: PipelineOptions

  #### Returns PipelinePromise<B>

- pipeline(streams, options?): Promise<void>

- #### Parameters

  - ##### streams: readonly (ReadableStream | WritableStream | ReadWriteStream)[]

  - ##### `Optional` options: PipelineOptions

  #### Returns Promise<void>

- pipeline(stream1, stream2, ...streams): Promise<void>

- #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: WritableStream | ReadWriteStream

  - ##### `Rest` ...streams: (WritableStream | ReadWriteStream | PipelineOptions)[]

  #### Returns Promise<void>

Generated using TypeDoc